Subject: Re: git to libgit2 code relicensing

From: Andreas Ericsson <[email-masked]>
Date: Sun, 16 Nov 2008 12:50:44 +0100

Christian Couder wrote:
> Hi Andreas,
> 
> Le vendredi 14 novembre 2008, Andreas Ericsson a écrit :
>> I've been working quite a lot on git -> libgit2 code moving,
> 
> It would be nice if there was somewhere on the web where your work could be 
> seen. If there is already, could you send (or resend) the URL? This way 
> people might have look and perhaps even help you. (Though I don't promise 
> anything as I have already a lot of things on my TODO list.) Thanks in 
> advance.
> 

When I was about to, I realized these licensing issues actually made it
illegal to do so without getting the permissions from the involved authors.
Now that Linus and a lot of other core contributors have given their consent,
I'll be able to start re-ordering the commits so I can publish those parts
originating from consenting authors while holding off on those that I can't
tell for sure are ok with it. Legal issues are no fun what so ever.

>> but the licensing stuff is a bit depressing, as I can't know
>> if the work I'm doing is for nothing or not.
>>
>> The license decided for libgit2 is "GPL with gcc exception".
>> Those who are OK with relicensing their contributions under
>> that license for the purpose of libgit2, can you please say
>> so?
> 
> It's ok to relicense my git related work under the "GPL with gcc exception" 
> license.
> 

Thank you. With the current list of ok's 73.09% of the code in git.git
seems to be relicenseable for the purpose of libgit2. That will provide
quite a kickstart.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231